LibOFX: Data Fields - Variables

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

### - a -

- account : OfxPayment
- account_id : OfxStatementData, OfxTransactionData, OfxAccountData
- account_id_valid : OfxStatementData, OfxTransactionData, OfxAccountData
- account_name : OfxAccountData
- account_number : OfxAccountData
- account_number_valid : OfxAccountData
- account_ptr : OfxStatementData, OfxTransactionData, OfxStatementData, OfxTransactionData
- account_type : OfxAccountData
- account_type_valid : OfxAccountData
- accountid : OfxAccountInfo
- accountlist : OfxFiServiceInfo
- address1 : OfxPayee
- amount : OfxBalanceContainer, OfxPayment, OfxTransactionData
- amount_valid : OfxBalanceContainer, OfxTransactionData
- available_balance : OfxStatementData
- available_balance_date : OfxStatementData
- available_balance_date_valid : OfxStatementData
- available_balance_valid : OfxStatementData

### - b -

- bank_id : OfxAccountData
- bank_id_valid : OfxAccountData
- bankid : OfxAccountInfo
- billpay : OfxFiServiceInfo
- branch_id : OfxAccountData
- branch_id_valid : OfxAccountData
- broker_id : OfxAccountData
- broker_id_valid : OfxAccountData
- brokerid : OfxAccountInfo

### - c -

- check_number : OfxTransactionData
- check_number_valid : OfxTransactionData
- city : OfxPayee
- code : ErrorMsg, OfxStatusData
- code_valid : OfxStatusData
- commission : OfxTransactionData
- commission_valid : OfxTransactionData
- currency : OfxCurrency, OfxStatementData, OfxSecurityData, OfxAccountData
- currency_valid : OfxStatementData, OfxSecurityData, OfxAccountData

### - d -

- data : OFXApplication, OFCApplication, OFXApplication, OFCApplication, tree_node_< T >, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxStatusContainer
- date : OfxBalanceContainer
- date_end : OfxStatementData
- date_end_valid : OfxStatementData
- date_funds_available : OfxTransactionData
- date_funds_available_valid : OfxTransactionData
- date_initiated : OfxTransactionData
- date_initiated_valid : OfxTransactionData
- date_posted : OfxTransactionData
- date_posted_valid : OfxTransactionData
- date_start : OfxStatementData
- date_start_valid : OfxStatementData
- date_unitprice : OfxSecurityData
- date_unitprice_valid : OfxSecurityData
- date_valid : OfxBalanceContainer
- datedue : OfxPayment
- description : ErrorMsg, OfxStatusData, LibofxFileFormatInfo, ErrorMsg, OfxStatusData, LibofxFileFormatInfo

### - e -

- exchange_rate : OfxCurrency

### - f -

- fees : OfxTransactionData
- fees_valid : OfxTransactionData
- feet : tree< T, tree_node_allocator >
- fi_id : OfxTransactionData
- fi_id_corrected : OfxTransactionData
- fi_id_corrected_valid : OfxTransactionData
- fi_id_correction_action : OfxTransactionData
- fi_id_correction_action_valid : OfxTransactionData
- fi_id_valid : OfxTransactionData
- fid : OfxFiLogin, OfxFiServiceInfo
- first_child : tree_node_< T >
- first_parent_ : tree< T, tree_node_allocator >::fixed_depth_iterator
- flag : option
- format : LibofxFileFormatInfo
- format_name : LibofxFileFormatInfo

### - h -

- has_arg : option
- head : tree< T, tree_node_allocator >

### - i -

- investments : OfxFiServiceInfo
- invtransactiontype : OfxTransactionData
- invtransactiontype_valid : OfxTransactionData

### - l -

- last_child : tree_node_< T >
- ledger_balance : OfxStatementData
- ledger_balance_date : OfxStatementData
- ledger_balance_date_valid : OfxStatementData
- ledger_balance_valid : OfxStatementData
- libofx_context : OfxGenericContainer

### - m -

- m_login : OfxRequest
- marketing_info : OfxStatementData
- marketing_info_valid : OfxStatementData
- memo : OfxPayment, OfxTransactionData, OfxSecurityData
- memo_valid : OfxTransactionData, OfxSecurityData
- must_convert : OfxCurrency

### - n -

- name : ErrorMsg, option, OfxStatusData, ErrorMsg, option, OfxPayee, OfxTransactionData, OfxStatusData
- name_valid : OfxTransactionData
- newunits : OfxTransactionData
- newunits_valid : OfxTransactionData
- next_sibling : tree< T, tree_node_allocator >, tree_node_< T >
- node : tree< T, tree_node_allocator >::iterator_base

### - o -

- ofx_element_name : OfxStatusData
- ofx_element_name_valid : OfxStatusData
- oldunits : OfxTransactionData
- oldunits_valid : OfxTransactionData
- org : OfxFiLogin, OfxFiServiceInfo

### - p -

- parent : tree< T, tree_node_allocator >, tree_node_< T >
- parent_ : tree< T, tree_node_allocator >::sibling_iterator
- parentcontainer : OfxGenericContainer
- payee_id : OfxTransactionData
- payee_id_valid : OfxTransactionData
- phone : OfxPayee
- postalcode : OfxPayee
- prev_sibling : tree_node_< T >

### - r -

- reference_number : OfxTransactionData
- reference_number_valid : OfxTransactionData

### - s -

- secname : OfxSecurityData
- secname_valid : OfxSecurityData
- security_data_ptr : OfxTransactionData
- security_data_valid : OfxTransactionData
- server_message : OfxStatusData
- server_message_valid : OfxStatusData
- server_transaction_id : OfxTransactionData
- server_transaction_id_valid : OfxTransactionData
- severity : OfxStatusData
- severity_valid : OfxStatusData
- skip_current_children_ : tree< T, tree_node_allocator >::iterator_base
- standard_industrial_code : OfxTransactionData
- standard_industrial_code_valid : OfxTransactionData
- state : OfxPayee
- statements : OfxFiServiceInfo

### - t -

- tag_identifier : OfxGenericContainer
- ticker : OfxSecurityData
- ticker_valid : OfxSecurityData
- transactiontype : OfxTransactionData
- transactiontype_valid : OfxTransactionData
- type : OfxGenericContainer, OfxAccountInfo

### - u -

- unique_id : OfxTransactionData, OfxSecurityData
- unique_id_type : OfxTransactionData, OfxSecurityData
- unique_id_type_valid : OfxTransactionData, OfxSecurityData
- unique_id_valid : OfxTransactionData, OfxSecurityData
- unitprice : OfxTransactionData, OfxSecurityData
- unitprice_valid : OfxTransactionData, OfxSecurityData
- units : OfxTransactionData
- units_valid : OfxTransactionData
- url : OfxFiServiceInfo
- userid : OfxFiLogin
- userpass : OfxFiLogin

### - v -

- val : option